Class | Float
In: | lib/core/facets/numeric/round.rb
Parent: | Object

### Methods

round_at round_to

### Public Instance methods

round_at( d )

Rounds to the given decimal position.

      4.555.round_at(0)  #=> 5.0
      4.555.round_at(1)  #=> 4.6
      4.555.round_at(2)  #=> 4.56
      4.555.round_at(3)  #=> 4.555

CREDIT: Trans

round_to( n )

Rounds to the nearest _n_th degree.

      4.555.round_to(1)     #=> 5.0
      4.555.round_to(0.1)   #=> 4.6
      4.555.round_to(0.01)  #=> 4.56
      4.555.round_to(0)     #=> 4.555

CREDIT: Trans

[Validate]